package com.fundi.framework.common.navigation;

/*
 *  Common Services Library - Framework plug-in.
 *  (C) Copyright Fundi Software 2011, 2016.  Fundi Confidential.
 *  All rights reserved.  Use, duplication or disclosure restricted. 
 */

import com.fundi.framework.common.instance.AppInstance;
import com.fundi.framework.common.instance.Environment;
import com.fundi.framework.common.nl1.Messages;

public class NavigationItemEditor {

	//Eye catchers.
	public static final String EC_COPYRIGHT = "(C) Copyright 2011, 2016 Fundi Software.  Fundi Confidential."; //$NON-NLS-1$
	public static final String EC_APAR = "3.1.1.00_00014"; //$NON-NLS-1$
	public static final String EC_FMID = "H30SA10"; //$NON-NLS-1$
	public static final String EC_PID = "5655-CSL"; //$NON-NLS-1$
	
	protected AppInstance instance = null;
	protected NavigationType type = null;
	protected NavigationItem item = null;
	protected Environment environment = null;
	
	public NavigationItemEditor() {
		
		super();
		
		initialise(null, null, null, null);
	}
	
	public NavigationItemEditor(AppInstance instance, NavigationType type) {
		
		super();
		
		initialise(instance, type, null, null);
	}
	
	public NavigationItemEditor(AppInstance instance, NavigationItem item) {
		
		super();
		
		initialise(instance, null, item, null);
	}
	
	public void initialise(AppInstance instance, NavigationType type, NavigationItem item, Environment environment) {
		
		this.instance = instance;
		this.type = type;
		this.item = item;
		this.environment = environment;
	}
	
	public boolean canCreateType () {
		
		return false;
	}
	
	public boolean canChangeType () {
		
		return false;
	}
	
	public boolean canDeleteType () {
	
	return false;
}

	public NavigationItem create() {
		
		return null;
	}
	
	public boolean edit(NavigationItem sourceItem) {
		
		return false;
	};
		
	public boolean delete(NavigationItem sourceItem) {
		
		return false;
	};
}
