package com.fundi.framework.common.preferences;

/*
 *  Common Services Library - Framework plug-in.
 *  (C) Copyright Fundi Software 2011, 2016.  Fundi Confidential.
 *  All rights reserved.  Use, duplication or disclosure restricted. 
 */

import com.fundi.framework.common.instance.AppInstance;
import com.fundi.framework.common.instance.Environment;
import com.fundi.framework.common.nl1.Messages;

public class PreferenceEditor {

	//Eye catchers.
	public static final String EC_COPYRIGHT = "(C) Copyright 2011, 2016 Fundi Software.  Fundi Confidential."; //$NON-NLS-1$
	public static final String EC_APAR = "3.1.1.00_00014"; //$NON-NLS-1$
	public static final String EC_FMID = "H30SA10"; //$NON-NLS-1$
	public static final String EC_PID = "5655-CSL"; //$NON-NLS-1$
	
	protected AppInstance instance;
	protected Environment environment;
	
	protected boolean contentChanged = false;
	
	protected boolean cancelling = false;
	
	public PreferenceEditor() {
		
		super();
	}
	
	public PreferenceEditor(AppInstance instance, Environment environment) {
		
		super();
		
		initialise(instance, environment);
	}
	
	public void initialise(AppInstance instance, Environment environment) {
		
		this.instance = instance;
		this.environment = environment;
	}
	
	public String getCategory() {
		
		//To include sub-categories, put each level in the returned string separated by a tab (static variable subCategoryDelimiter).
		
		return ""; //$NON-NLS-1$
	}
	
	public boolean contentChanged() {
		
		return contentChanged;
	}
	
	public String edit() {
	
		//Returns any error message.
		return ""; //$NON-NLS-1$
	}
	
	public String apply() {
		
		cancelling = false;
		
		//Returns any error message.
		return ""; //$NON-NLS-1$
	}
	
	public String cancel() {
		
		cancelling = true;
		
		//Returns any error message.
		return ""; //$NON-NLS-1$
	}
	
	public Object restoreDefaults() {
		
		return null;
	}
	
	public Object getEditor(Object parent) {
		
		return null;
	}
	
	public Object getEditor() {
		
		return null;
	}
	
	public void dispose() {}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		String className = this.getClass().getName();
		result = prime * result + ((className == null) ? 0 : className.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		return true;
	}
}
