package com.fundi.framework.common.properties;

/*
 *  Common Services Library - Framework plug-in.
 *  (C) Copyright Fundi Software 2011, 2016.  Fundi Confidential.
 *  All rights reserved.  Use, duplication or disclosure restricted. 
 */

	public interface ISelectionSource {
		
		/*
		 *  Interface for use by objects providing content intended for the Eclipse properties view.
		 */

		//Eye catchers.
		public static final String EC_COPYRIGHT = "(C) Copyright 2011, 2016 Fundi Software.  Fundi Confidential."; //$NON-NLS-1$
		public static final String EC_APAR = "3.1.1.00_00014"; //$NON-NLS-1$
		public static final String EC_FMID = "H30SA10"; //$NON-NLS-1$
		public static final String EC_PID = "5655-CSL"; //$NON-NLS-1$
		
		public PropertyDefn[] getPropertyDefns();
		
		public String getPropertyValue(String id);
	}
